import httpRequest from '@/utils/axios'

// 获取企业列表
export function getCompanyList(params?: {
  name?: string
  email?: string
  code?: string
  nature?: string
  status?: string
  page?: number
  limit?: number
}) {
  return httpRequest.get('/api/hr/admin/v1/companies', { params })
}
// 获取企业详情
export function getCompanyDetails(params: { id: string }) {
  return httpRequest.get(`/api/hr/admin/v1/company/${params.id}`, { params })
}
// 企业审核
export function getCompanyAdult(data: { id: string; status: number }) {
  return httpRequest.post(`/api/hr/admin/v1/company/${data.id}/audit`, data)
}
// 启用禁用
export function getCompanyStatus(data: { id: string; status: number }) {
  return httpRequest.post(`/api/hr/admin/v1/company/${data.id}/enable`, data)
}
